#!/usr/bin/env bash

source $(dirname "$0")/utilis/colors.sh

read -p "Do you want to remove everything from installation (y/N)? " answer
case ${answer:0:1} in
    y|Y )
        echo "${GREEN}${BOLD}> Removing Composer${RESET}"
        # WordPress plugins
	rm -rf www/wp-content/plugins/amazon-s3-and-cloudfront
	rm -rf www/wp-content/plugins/everyboard
	rm -rf www/wp-content/plugins/everyware
	rm -rf www/wp-content/plugins/everyware-project-plugin
	rm -rf www/wp-content/plugins/wordpress-mu-domain-mapping
	rm -rf www/wp-content/plugins/wp-ses

        # Drop in plugins
	rm -rf www/wp-content/advanced-cache.php
	rm -rf www/wp-content/composer.json
	rm -rf www/wp-content/object-cache.php
	rm -rf www/wp-content/sunrise.php

        # Nginx conf
	rm -rf nginx/standard/*

        # Common composer files
	rm -rf www/vendor
	rm -rf composer.lock

	echo "${GREEN}${BOLD}> DONE!${RESET}"
	exit;;
    * )
        echo "${GREEN}${BOLD}> Nothing removed. Have a nice day!${RESET}"
        exit;;
esac
